{ pkgs, ... }:

with pkgs;
[
  # Rust setup
  rustc
  rustfmt
  cargo
  clippy
  rust-analyzer

  typst
  tree-sitter-grammars.tree-sitter-typst

  # Further tools
  cntr # nix debugger

  lazygit
  shellcheck
  lazygit
  git
  mc
  tree
  bat
  ripgrep
  fd
  fzf
  topgrade
  htop
  killall
  findutils
  jq
  ffmpeg
  julia-bin

  poppler_utils # Pdf utils including pdfimages
  sage

  pkg-config # Often needed to build something

  mysql80
]
